# frozen_string_literal: true

require 'logger'
require 'ascm/version'
require 'ascm/reader'

module ASCM
  class << self
    attr_writer :logger

    def logger
      @logger ||= Logger.new($stdout).tap do |log|
        log.progname = self.name
      end
    end
  end
end
