# -*- encoding: utf-8 -*-
# stub: ascm 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ascm".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Victor Gama".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-06-26"
  s.description = "    ASCM reads ENV varaibles into a class, providing methods to ensure a setting\n    is available, and mapping variables using Lambdas. The result is a clean,\n    comprehensive configuration file that may be documented as desired, allowing\n    other developers to quickly inspect and understand existing parameters and\n    quickly adding new ones.\n".freeze
  s.email = ["hey@vito.io".freeze]
  s.homepage = "https://github.com/victorgama/ascm".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "ASCM is A Simple Configuration Manager, reading things from ENV to values in a class".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<climate_control>.freeze, ["~> 0.2"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.16.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.55.0"])
    s.add_development_dependency(%q<codecov>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<climate_control>.freeze, ["~> 0.2"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.55.0"])
    s.add_dependency(%q<codecov>.freeze, [">= 0"])
  end
end
